%global commit d9a7385492ec180104bca6187b0f1cb9f532515a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		log4j-jsonevent-layout
Version:	1.7
Release:	1%{?dist}
Summary:	Layout for log4j that generates logstash json_event formatted data

License:	APL 2.0
URL:		https://github.com/logstash/log4j-jsonevent-layout
Source0:	https://github.com/logstash/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:	maven-local
BuildRequires:  mvn(commons-lang:commons-lang)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(log4j:log4j:12)
BuildRequires:  mvn(net.minidev:json-smart)

%description
This library provides layout for log4j that generates logstash json_event
formatted data.


%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.


%prep
%setup -qn %{name}-%{commit}

# Older log4j needed
# https://github.com/logstash/log4j-jsonevent-layout/issues/39
%pom_remove_dep log4j:log4j
%pom_add_dep log4j:log4j:12:provided


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc Contributors.md LICENSE README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Fri Oct 24 2014 František Dvořák <valtri@civ.zcu.cz> - 1.7-1
- Initial package
